"""Handle projects."""

from os import path


class Project:
    """Parent class for any type of project."""

    def __init__(self, file_path: str) -> None:
        """Set file, root & name."""
        self.file: str = path.realpath(file_path)
        self.root: str = path.dirname(self.file)
        self.name: str = path.basename(self.root)
